## org.apache.bcel.generic
Class ArrayInstruction

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.ArrayInstruction

All Implemented Interfaces:
  java.lang.Cloneable, ExceptionThrower, java.io.Serializable, TypedInstruction

Direct Known Subclasses:
  AALOAD, AASTORE, BALOAD, BASTORE, CALOAD, CASTORE, DALOAD, DASTORE, FALOAD, FASTORE, IALOAD, IASTORE, LALOAD, LASTORE, SALOAD, SASTORE

public abstract class ArrayInstruction
extends Instruction
implements ExceptionThrower, TypedInstruction

Super class for instructions dealing with array access such as IALOAD.

Version:
  $Id: ArrayInstruction.java,v 1.1.1.1 2001/10/29 20:00:06 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`protected` `ArrayInstruction(short opcode)`

Method Summary
`java.lang.Class[]` `getExceptions()`
`Type` `getType(ConstantPoolGen cp)`

Methods inherited from class org.apache.bcel.generic.Instruction
`accept, consumeStack, copy, dump, getLength, getOpcode, initFromFile, produceStack, readInstruction, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArrayInstruction

    protected ArrayInstruction(short opcode)

  Parameters:
    `opcode` - of instruction

Method Detail

### getExceptions

    public java.lang.Class[] getExceptions()

  Specified by:
    `getExceptions` in interface `ExceptionThrower`

### getType

    public Type getType(ConstantPoolGen cp)

  Specified by:
    `getType` in interface `TypedInstruction`
  Returns:
    type associated with the instruction